using System.Threading.Tasks;

namespace Knoks.Framework.Services
{
    public interface IEmailService
    {
        Task<bool> SendHtml(string subject, string body, string fromАddress, params string[] toАddresses);
        Task<bool> SendHtml(string subject, string body, string fromАddress, EmailDestinationtoАddresses аddresses);
        Task<bool> SendText(string subject, string body, string fromАddress, params string[] toАddresses);
        Task<bool> SendText(string subject, string body, string fromАddress, EmailDestinationtoАddresses аddresses);
    }
}